package com.ynet.life.base.session;

import com.alisoft.xplatform.asf.cache.ICacheManager;
import com.alisoft.xplatform.asf.cache.IMemcachedCache;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.session.GENESession;
import com.ynet.gene.session.GENESessionManager;
import com.ynet.gene.session.Session;
import com.ynet.life.base.TEntity;
import java.util.HashMap;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_base_session.jar:com/ynet/life/base/session/LifeSessionManager.class */
public class LifeSessionManager extends GENESessionManager {
    public static final String SESSION_TIMEOUT = "sessionTimeout";
    public static final String SESSION_CONTEXT = "SESSION_CONTEXT";
    public static final String SESSION_ENTITY = "SESSION_ENTITY";
    public static final String SESSION_TIME = "SESSION_TIME";
    public static final String SESSION_BSNMAP = "SESSION_BSNMAP";
    private String factoryName;
    private String rootContextName;
    private String cacheClient;
    private String sessionContextName;
    private ICacheManager<IMemcachedCache> manager;

    public void initialize() {
        super.initialize();
    }

    public void cacheSession(Session session) {
        if (session == null) {
            return;
        }
        String sessionKey = session.getId();
        Context sessionContext = (Context) session.getAttribute(GENEConstance.ATTR_CONTEXT);
        if (sessionContext == null) {
            return;
        }
        session.getAttribute(sessionKey);
        session.getAttribute(TEntity.BSN_DATA_MAP);
        sessionContext.getDataElement();
    }

    public Session getCacheSession(String sessionKey) {
        return new GENESession(sessionKey);
    }

    public void syncCacheSession(Session session, boolean isTime) {
    }

    public void clearCacheSession(Session session) {
        if (session == null) {
            return;
        }
        String sessionKey = session.getId();
        IMemcachedCache cache = this.manager.getCache(this.cacheClient);
        try {
            cache.remove(String.valueOf(sessionKey) + SESSION_CONTEXT);
            cache.remove(String.valueOf(sessionKey) + SESSION_ENTITY);
            cache.remove(String.valueOf(sessionKey) + SESSION_TIME);
            cache.remove(String.valueOf(sessionKey) + SESSION_BSNMAP);
        } catch (Exception e) {
            GENELog.log(GENEConstance.GENE_COMM, GENELog.ERROR, 0, "清除memCache缓存失败!".concat(String.valueOf(sessionKey)), e);
        }
    }

    protected boolean checkTimeout(GENESession session) {
        Long userSetTimeout = (Long) session.getAttribute("sessionTimeout");
        long timeout = userSetTimeout == null ? getSessionTimeOut() : userSetTimeout.longValue();
        boolean z = System.currentTimeMillis() - session.getLastAccessTime() > timeout;
        boolean isTimeout = z;
        if (z) {
            System.out.println("系统时间=" + System.currentTimeMillis() + "session时间=" + session.getLastAccessTime() + "==id:" + session.getId());
        }
        return isTimeout;
    }

    public HashMap getAppendPostFieldMap(HttpServletRequest request) {
        HashMap resultMap = new HashMap();
        if (getSessionTraceType() != 0) {
            Session session = (Session) request.getAttribute(GENEConstance.ATTR_SESSION);
            resultMap.put(getSessionIdLabel(), session.getId());
        }
        return resultMap;
    }

    public Session getSession(Object requestObj, Object responseObj, boolean createWhenNotCreate) {
        String sessionId = "";
        HttpServletRequest request = null;
        if (requestObj instanceof String) {
            sessionId = (String) requestObj;
        } else if (requestObj instanceof HttpServletRequest) {
            HttpServletRequest httpServletRequest = (HttpServletRequest) requestObj;
            request = httpServletRequest;
            sessionId = httpServletRequest.getParameter(TEntity.appKeyFieldname);
        }
        Session session = (Session) getSessions().get(sessionId);
        Session session2 = session;
        if (session == null) {
            request.setAttribute(GENEConstance.GENE_SESSION_ID_LABEL, sessionId);
            session2 = super.getSession(requestObj, responseObj, createWhenNotCreate);
        }
        return session2;
    }

    public void removeSession(Session session) {
        if (session == null) {
            return;
        }
        super.removeSession(session);
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public String getRootContextName() {
        return this.rootContextName;
    }

    public void setRootContextName(String rootContextName) {
        this.rootContextName = rootContextName;
    }

    public void setCacheClient(String cacheClient) {
        this.cacheClient = cacheClient;
    }

    public void setSessionContextName(String sessionContextName) {
        this.sessionContextName = sessionContextName;
    }
}
